summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mark Noman <smithmark347@gmail.com>2012-12-11 17:50:46 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:23:08 -0500
commitef558b444ebca11f546ae4823f3e0e5750f5c6fa (patch)
tree03dceb2bb30dcdfbcf993b7253d5c6132c749556
parenteee26a9bb27ff4817a5d231b48809d67897d09cd (diff)
downloadslackbuilds-ef558b444ebca11f546ae4823f3e0e5750f5c6fa.tar.gz
slackbuilds-ef558b444ebca11f546ae4823f3e0e5750f5c6fa.tar.xz
office/qpdfview: Added (Document Viewer).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--office/qpdfview/README4
-rw-r--r--office/qpdfview/doinst.sh13
-rw-r--r--office/qpdfview/qpdfview.SlackBuild105
-rw-r--r--office/qpdfview/qpdfview.info10
-rw-r--r--office/qpdfview/slack-desc21
5 files changed, 153 insertions, 0 deletions
diff --git a/office/qpdfview/README b/office/qpdfview/README
new file mode 100644
index 0000000000..b79a0fe5df
--- /dev/null
+++ b/office/qpdfview/README
@@ -0,0 +1,4 @@
+qpdfview is a document viewer using qt with rendering from
+poppler and printing with cups.
+It is fast and feature-rich making an excellent alternative
+to Okular and Evince.
diff --git a/office/qpdfview/doinst.sh b/office/qpdfview/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/office/qpdfview/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/qpdfview/qpdfview.SlackBuild b/office/qpdfview/qpdfview.SlackBuild
new file mode 100644
index 0000000000..bba174cae3
--- /dev/null
+++ b/office/qpdfview/qpdfview.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+# Slackware build script for qpdfview
+
+# Copyright 2012 Mark Noman <smithmark347@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#exit on errors
+set -e
+
+PRGNAM=qpdfview
+VERSION=0.3.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+#Set some basics
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+# Set compiling FLAGS
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLCKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+#Make the buildspace
+echo $PKG
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+echo $PRGNAM-$VERSION
+rm -rf "$PRGNAM-$VERSION"
+tar xfv $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Configure qpdfview. Installation paths are correctly set in qpdfview.pri
+qmake QMAKE_CFLAGS="$SLKCFLAGS" QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+# Compile the application and install it into the $PKG directory
+make
+make INSTALL_ROOT=$PKG install
+
+#strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#compress the man pages
+mv -v $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+#add slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+#create package
+cd $PKG
+/sbin/makepkg -l n -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.txz
diff --git a/office/qpdfview/qpdfview.info b/office/qpdfview/qpdfview.info
new file mode 100644
index 0000000000..a5b6da7fdb
--- /dev/null
+++ b/office/qpdfview/qpdfview.info
@@ -0,0 +1,10 @@
+PRGNAM="qpdfview"
+VERSION="0.3.5"
+HOMEPAGE="https://launchpad.net/qpdfview"
+DOWNLOAD="https://launchpad.net/qpdfview/trunk/0.3.5/+download/qpdfview-0.3.5.tar.gz"
+MD5SUM="f2f1bc2fc1834f8431e6709974a8b69d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mark Noman"
+EMAIL="smithmark347@gmail.com"
diff --git a/office/qpdfview/slack-desc b/office/qpdfview/slack-desc
new file mode 100644
index 0000000000..76498e2f46
--- /dev/null
+++ b/office/qpdfview/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+# qpdfview slack-desc
+
+ |-----handy-ruler-----------------------------------------------------|
+qpdfview: qpdfview (Document Viewer)
+qpdfview:
+qpdfview: qpdfview is a document viewer using the qt4 libraries with rendering
+qpdfview: from poppler and printing with cups. It is fast and feature-rich
+qpdfview: making an excellent alternative to Okular and Evince.
+qpdfview:
+qpdfview: homepage: https://launchpad.net/qpdfview
+qpdfview:
+qpdfview:
+qpdfview:
+qpdfview:
+"